## pegsolitaire 0.3

=== Makefile ===
package = pegsolitaire
version = 0.3
appid = com.github.jnumm.pegsolitaire

src = $(wildcard src/*.c)
obj = $(src:.c=.o)
pofiles = $(wildcard po/*.po)
mofiles = $(pofiles:.po=.mo)

INSTALL ?= install
INSTALL_PROGRAM ?= $(INSTALL)
INSTALL_DATA ?= $(INSTALL) -m644
prefix ?= /usr/local
bindir ?= $(prefix)/bin
mandir ?= $(prefix)/share/man
localedir ?= $(prefix)/share/locale
desktopdir ?= $(prefix)/share/applications
appdatadir ?= $(prefix)/share/metainfo
svgicondir ?= $(prefix)/share/icons/hicolor/scalable/apps
helpdir ?= $(prefix)/share/gnome/help/$(package)/C

deps = gtk+-3.0 gmodule-2.0 librsvg-2.0

# Flags that are more or less required to build
pkg_CPPFLAGS = -I. -DPACKAGE='"$(package)"' -DVERSION='"$(version)"' \
	-DLOCALEDIR='"$(localedir)"' -DENABLE_NLS
pkg_CFLAGS = -Wall -Wextra -Wpedantic -Wmissing-prototypes -Wstrict-prototypes \
	-Wunused-macros -Wshadow -Wdouble-promotion -Wno-overlength-strings \
	-fvisibility=hidden $(shell pkg-config --cflags $(deps))
pkg_LDLIBS = -Wl,--as-needed $(shell pkg-config --libs $(deps))

# Non-essential default flags
CFLAGS ?= -O2 -g

.PHONY: all clean install update-po
all: pegsolitaire $(mofiles) $(appid).desktop $(appid).appdata.xml

%.o: %.c data.h
	$(CC) $(pkg_CPPFLAGS) $(CPPFLAGS) $(pkg_CFLAGS) $(CFLAGS) -o $@ -c $<
pegsolitaire: $(obj)
	$(CC) $(pkg_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(pkg_LDLIBS) $(LDLIBS)

# Embedding the required data files in the executable.
data.h: data/pegsolitaire.glade data/hole.svg data/peg.svg
	./generate-data-header $^ > $@

$(appid).desktop: data/$(appid).desktop.in po/LINGUAS
	msgfmt -c --desktop --template $< -o $@ -d po
$(appid).appdata.xml: data/$(appid).appdata.xml.in po/LINGUAS
	msgfmt -c --xml --template $< -o $@ -d po
po/LINGUAS:
	echo $(notdir $(basename $(pofiles))) > $@
%.mo: %.po
	msgfmt -c -o $@ $<
# The first -k disables all default keywords, because we don't want the
# value for Icon in the desktop file to be translated.
pegsolitaire.pot:
	xgettext -o $@ -f po/POTFILES.in \
		-k -k_ -kN_ -kName -kGenericName -kComment -kKeywords \
		--add-comments=TRANSLATORS: \
		--package-name=$(package) --package-version=$(version) \
		--msgid-bugs-address=https://github.com/jnumm/pegsolitaire/issues
update-po: $(addsuffix -update,$(pofiles))
%.po-update: pegsolitaire.pot
	msgmerge --update $*.po $<

clean:
	rm -f pegsolitaire $(obj) data.h $(appid).desktop $(appid).appdata.xml \
		$(mofiles) pegsolitaire.pot po/LINGUAS

install: all $(addsuffix -install,$(mofiles))
	mkdir -p $(DESTDIR)$(bindir) $(DESTDIR)$(desktopdir) \
		$(DESTDIR)$(appdatadir) $(DESTDIR)$(svgicondir) \
		$(DESTDIR)$(mandir)/man6 $(DESTDIR)$(helpdir)
	$(INSTALL_PROGRAM) pegsolitaire $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(appid).desktop $(DESTDIR)$(desktopdir)
	$(INSTALL_DATA) $(appid).appdata.xml $(DESTDIR)$(appdatadir)
	$(INSTALL_DATA) data/pegsolitaire.svg $(DESTDIR)$(svgicondir)
	$(INSTALL_DATA) data/pegsolitaire.6 $(DESTDIR)$(mandir)/man6
	$(INSTALL_DATA) help/* $(DESTDIR)$(helpdir)
%.mo-install: %.mo
	mkdir -p $(DESTDIR)$(localedir)/$(notdir $*)/LC_MESSAGES
	$(INSTALL_DATA) $< $(DESTDIR)$(localedir)/$(notdir $*)/LC_MESSAGES/$(package).mo

## pegsolitaire 0.0.4

=== debian/changelog ===
pegsolitaire (0.0.4-2) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Switch to source format 3.0 (quilt).
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.5.
  * Update menu file. Add longtitle and icon entry. (Closes: #726851)
  * Update pegsolitaire.desktop. Add comment in German and keywords.
  * Use high resolution icon peg.svg as desktop file icon.
  * Add pegsolitaire.xpm icon and install it to /usr/share/pixmaps.
  * Update watch file. The original homepage for downloading Peg Solitaire
    is no longer available.
  * Install man page with pegsolitaire.manpages file.
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed to avoid useless
    dependencies.
  * Fix lintian warning "synopsis starts with article".
  * Update package description.
  * Change --datadir to /usr/share to avoid lintian error
    global-data-in-games-directory. Remove unwanted files in dh_install
    override.
  * Build --with parallel.
  * Update homepage field and point to wiki.debian.org. The original site went
    offline. (Closes: #607989)
  * Remove docs file. Do not install README and NEWS files anymore since they
    contain nothing newsworthy.
  * Update debian/copyright to copyright format 1.0.
  * Change priority from extra to optional. This package does neither have
    special requirements nor does it conflict with other packages.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Vincent Cheng ]
  * Use empty override_dh_auto_test target in d/rules to skip incomplete tests.

 -- Markus Koschany <apo@gambaru.de>  Fri, 18 Apr 2014 22:34:51 +0200

pegsolitaire (0.0.4-1) unstable; urgency=low

  * Initial release (Closes: #485128)
    + Add .desktop file.
    + Add simple man page.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 07 Apr 2009 12:53:10 -0400

=== debian/control ===
Source: pegsolitaire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libglade2-dev,
 libgnome2-dev,
 libgnomeui-dev,
 libxml-parser-perl,
 pkg-config
Standards-Version: 3.9.5
Homepage: https://wiki.debian.org/Games/pegsolitaire
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/pegsolitaire/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/pegsolitaire/

Package: pegsolitaire
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: education game similar to Hi-Q
 Peg Solitaire is a board game for one player involving movement of pegs on a
 board with holes. The game fills the entire board with pegs except for the
 central hole. The objective is, making valid moves, to empty the entire board
 except for a solitary peg in the central hole.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \

override_dh_auto_test:

override_dh_install:
	dh_install
	# Remove unwanted files.
	$(RM) \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/COPYING \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/NEWS \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/AUTHORS \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/ChangeLog \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/INSTALL \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/README

=== debian/watch ===
# The original homepage went offline. There is nothing to watch anymore.

## pegsolitaire 0.1.1

=== debian/changelog ===
pegsolitaire (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
    - No longer depends on libgnome, libgnomeui or libglade. (Closes: #885749)
  * Remove manpage, desktop file and xpm icon. They are integrated upstream.
  * debian/control:
    - New Build-Dependencies autoconf-archive, libgtk2.0-dev, librsvg2-dev.
    - Drop unneeded Build-Depends libxml-parser-perl, pkg-config.
    - Add myself to Uploaders.
    - New homepage.
    - VCS has been migrated from svn to git.
    - Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.1.3.
    - Remove debian/menu as required by Debian Policy >= 4.0.1.
  * Update to compat level 11. Now autoreconf and parallel are the default.
  * debian/rules:
    - Enable all hardening options.
    - Do not add -Wl,--as-needed, it was integrated upstream.
    - Install game data in /usr/share/games. Simplify debian/rules.
  * debian/watch, debian/upstream/signing-key.asc: New watch file with gpg
    verification.
  * debian/clean: Added to clean the po/ directory.
  * debian/copyright: New copyright holders and years. Change http to https.
  * wrap-and-sort -s.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 17 Jan 2018 16:01:47 +0200

=== debian/control ===
Source: pegsolitaire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Juhani Numminen <juhaninumminen0@gmail.com>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends: autoconf-archive, debhelper (>= 11), libgtk2.0-dev, librsvg2-dev
Rules-Requires-Root: no
Standards-Version: 4.1.3
Homepage: https://github.com/jnumm/pegsolitaire
Vcs-Git: https://salsa.debian.org/games-team/pegsolitaire.git
Vcs-Browser: https://salsa.debian.org/games-team/pegsolitaire

Package: pegsolitaire
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: education game similar to Hi-Q
 Peg Solitaire is a board game for one player involving movement of pegs on a
 board with holes. The game fills the entire board with pegs except for the
 central hole. The objective is, making valid moves, to empty the entire board
 except for a solitary peg in the central hole.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games

## pegsolitaire 0.3

=== debian/changelog ===
pegsolitaire (0.3-4) unstable; urgency=medium

  * Team Upload.

  [ Patrice Duroux ]
  * Fix FTBFS (Closes: #1087803)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Dec 2024 21:43:04 +0100

pegsolitaire (0.3-3) unstable; urgency=medium

  * Team Upload.
  * Fix watch file for new GitHub API

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 17:07:43 +0200

pegsolitaire (0.3-2) unstable; urgency=medium

  * Team Upload.
  * bump debhelper-compat to 13, Standards-Version to 4.6.2

  [ Helmut Grohne ]
  * fix FTCBFS: uses the build architecture pkg-config (Closes: #956345)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jan 2024 13:15:15 +0100

pegsolitaire (0.3-1) unstable; urgency=medium

  * New upstream version 0.3.
  * debian/copyright:
    - Remove paragraph for gridframe and preimage; no longer in tarball.
    - Update years.
  * debian/rules:
    - Instead of using configure, export Makefile configuration variables.
  * debian/control:
    - Remove build-dep autoconf-archive, not needed anymore.
    - Change build-dep gtk2 to gtk3.
    - Declare compliance with policy 4.3.0.
    - Bump debhelper compatibility level to 12.
  * debian/compat: Replace by build-depending on debhelper-compat.
  * debian/clean: Remove, not needed.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 08 Jan 2019 21:39:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Juhani Numminen <juhaninumminen0@gmail.com>,
  Barry deFreese <bdefreese@debian.org>
-Build-Depends: autoconf-archive, debhelper (>= 11), libgtk2.0-dev, librsvg2-dev
+Build-Depends: debhelper-compat (= 13), libgtk-3-dev, librsvg2-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Homepage: https://github.com/jnumm/pegsolitaire
 Vcs-Git: https://salsa.debian.org/games-team/pegsolitaire.git
 Vcs-Browser: https://salsa.debian.org/games-team/pegsolitaire

=== debian/watch ===
version=4
opts="pgpmode=next" https://github.com/jnumm/pegsolitaire/tags \
    .*/v?@ANY_VERSION@\.tar\.gz
opts="pgpmode=previous" https://github.com/jnumm/pegsolitaire/tags \
    .*/v?@ANY_VERSION@\.tar\.gz\.asc
